# Remove-RASTemplateLicenseKey.md

## NAME

Remove-RASTemplateLicenseKey

## SYNOPSIS

Removes the licenses key info from a RAS Template.

## SYNTAX

\*\*Remove-RASTemplateLicenseKey \[[Id](#id-string)] *(uint)* -[Key](#key-string) *(string)* -[ObjType](#objtype) {RDSTemplate | VDITemplate | AVDTemplate} \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Remove-RASTemplateLicenseKey \[-[InputObject](#inputobject)] *(*[*Template*](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/template)*)* -[Key](#key-string) *(string)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Removes a license key information from a RAS Template.

## PARAMETERS

## Id (uint)

The ID of the RAS Template to modify.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ObjType ([TemplateObjType](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/templateobjtype))

The Object Type for which to add Template License Key.

Possible values: RDSTemplate, VDITemplate, AVDTemplate

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([Template](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/template))

An object of type Template representing a RAS Template.

The object is obtained using the Get-Template cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## Key (string)

The license key to remove.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[Template](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/template)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Remove-RASTemplateLicenseKey -ObjType VDITemplate -Id 1 -Key abcd1234

Removes the specified license key details from the RAS Template specified by ObjType and ID.\
\*\*---------- EXAMPLE 2 ----------

Remove-RASTemplateLicenseKey -InputObject $Template -Key abcd1234

Removes the specified license key details from the RAS Template specified by the $Template variable.\
\*\*---------- EXAMPLE 3 ----------

Get-RASTemplate -ObjType VDITemplate -Id 1 | Remove-RASTemplateLicenseKey -Key abcd1234

Removes the specified license key details from the RAS Template obtained from the pipeline output.

## RELATED LINKS

* [Set-RASTemplate](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rastemplate)
* [Add-RASTemplateLicenseKey](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rastemplatelicensekey)
* [Get-RASTemplateLicenseKey](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rastemplatelicensekey)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rastemplatelicensekey.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
